Bug 484478 - screensaver never powers down display on gdm login screen
screensaver never powers down display on gdm login screen
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 19:44 EST by John Mellor
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version: 11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-21 11:12:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2009-02-06 19:44:20 EST
Description of problem:
gdm login screen never powers down the display.

Version-Release number of selected component (if applicable):
    gdm-2.24.0-12.fc10.i386

How reproducible:
    every time

Steps to Reproduce:
1. Boot machine
2. Do not login.  Observe that the screen blanks, but never enters lower power modes.
3. Login and wait.  Observe that screensaver functions as expected, powering down the display at the expected interval.

  
Actual results:
Screen blanks, but remains in full-power mode.


Expected results:
Screen should enter powersaving states.


Additional info:
Screen is a Dell P1130 CRT, correctly recognized by Fedora.  Screen DOES power down if logged in, but DOES NOT if not logged in.
Comment 1 Chris Poultney 2009-02-12 11:13:07 EST
As far as I can tell, this is because gnome-screensaver is not started by simple-greeter, and therefore gnome-power-manager is never sent the "idle start" message that starts its tracking of timeouts like display power down (sleep_display_ac).

I did come up with a work-around.  I was not able to figure out how to get simple-greeter to start ghome-screensaver (e.g., by adding an entry to /usr/share/gdm/autostart/LoginWindow/).  Instead, I modified /usr/share/gdm/autostart/LoginWindow/gnome-power-manager.desktop so that, instead of executing gnome-power-manager, it executes a script in the gdm directory that starts gnome-screensaver and gnome-power-manager (in that order).  This also requires a the following line in /etc/gdm/PostLogin/Default to shut down the "extra" gnome-screensaver process: "pkill -u gdm gnome-screensav".

Keep in mind that user gdm's settings are used to control power/screensaver behavior in the greeter window.  If gdm is a nologin account, as it is on my machine, and you don't want to change that, this can be a little tricky.  My suggestion is to a) log in as any login user, and change the power and screensaver setting to what you want, b) run gconf-editor as that user and look at the /apps/gnome-power-manager/timeout/sleep_display_ac key and all the /apps/gnome-screensaver keys, then c) run gconf-editor as root, go to File | New Defaults Window, and enter the key values there.  You could also run gconf-editor as gdm using su -m gdm -c gconf-editor, but I ran into xauth issues there.  You can also check key values using su -m gdm -c 'gconftool-2 -R /apps/gnome-screensaver' or su -m gdm -c 'gconftool-2 -R /apps/gnome-power-manager/timeout'.
Comment 2 Chris Poultney 2009-02-12 11:15:11 EST
Oops - type 'ghome-screensaver' instead of gnome-screensaver in paragraph 2.  also, the pkill line is correct: the process name is "gnome-screensav".
Comment 3 Chris Poultney 2009-02-12 16:45:22 EST
I got the greeter to start the screensaver - this time it worked for some reason.  It still doesn't kill the gdm screensaver process when a user logs in, so the 'pkill' line has to stay.  Anyway, creating the file /usr/share/gdm/autostart/LoginWindow/gnome-screensaver.desktop works for starting the gdm screensaver:
[Desktop Entry]
Encoding=UTF-8
Name=Screen Saver
Comment=Screen Saver Daemon
Icon=gnome-screensaver
Exec=gnome-screensaver
Terminal=false
Type=Application
Categories=GNOME;Screensaver;
OnlyShowIn=GNOME;XFCE;
X-GNOME-Autostart-Phase=Initialization
Comment 4 Christopher Beland 2009-02-20 09:04:43 EST
Bug 478387 appears to be the same problem.
Comment 5 Bug Zapper 2009-11-18 06:00:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.